public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Sebastian Pipping" <sping@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-crypt/bcwipe/
Date: Sat, 21 Nov 2015 21:43:35 +0000 (UTC)	[thread overview]
Message-ID: <1448141993.e4623ce8fee6ecef6024cd7b4f1bf1fa7e2b022d.sping@gentoo> (raw)

commit:     e4623ce8fee6ecef6024cd7b4f1bf1fa7e2b022d
Author:     Sebastian Pipping <sping <AT> gentoo <DOT> org>
AuthorDate: Sat Nov 21 21:39:53 2015 +0000
Commit:     Sebastian Pipping <sping <AT> gentoo <DOT> org>
CommitDate: Sat Nov 21 21:39:53 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e4623ce8

app-crypt/bcwipe: 1.9.13

Package-Manager: portage-2.2.24

 app-crypt/bcwipe/Manifest             |  1 +
 app-crypt/bcwipe/bcwipe-1.9.13.ebuild | 49 +++++++++++++++++++++++++++++++++++
 2 files changed, 50 insertions(+)

diff --git a/app-crypt/bcwipe/Manifest b/app-crypt/bcwipe/Manifest
index 49a47b5..83d5e68 100644
--- a/app-crypt/bcwipe/Manifest
+++ b/app-crypt/bcwipe/Manifest
@@ -1,2 +1,3 @@
+DIST BCWipe-1.9-13.tar.gz 141092 SHA256 c5e95d003f291d7c9c7c0a6ac76d03ae8fc48225292507581f949f81074126c4 SHA512 801b6d3c55d82915da14b3136c9ddba7fc947b40c07ba135c410e1e2703f74735d32ebb043d44325f615005631930ce48b4075885f1a928cf8f4a2d4c67ca5cc WHIRLPOOL 631f7af570898c61ad7559c427b8d4677ab62a85189d72539b1f9cf89cdee0fc8fe61a7524299f691c3358b38b0502d1ee1ccd5c035e0479adfb7dde1d6c5047
 DIST BCWipe-1.9-8.tar.gz 131414 SHA256 6f5261716da15e3df07569ca2516334f7d132f0069420082fc71faf2aaf04fc0 SHA512 fe0b72b5279f8dc85c7ac2bee9c3b4ba13df542750faa25556b4a9a03eff323a5822e9e736440e4677c6aa6011a9ecf02acb51b7e934b30f4354826e798d7aa2 WHIRLPOOL 28fbf43435433a4858813329d474dd67e61af615616f9a3283e4b98b7bf9bdebd7ce84c1c787d4ba08a9f7f8ae53293c331cd2bcef3321c0de4ea932a570d618
 DIST BCWipe.doc.tgz 21218 SHA256 afa50bf8653bb6bee108f0ae8b3dc35d289dde3d5c513b7e9ae7fe373635df4f SHA512 5aa402669ded46b6dc680293f18aea4ab20a7d6b7d9d7bf8e63003e557b953e8f8019431ea69d96d2236121e754bc456b3700a0895f4fff0573d2e9bac2e2ee3 WHIRLPOOL 2f6475d9395d2424cbabb046085ce0a016ecad4e76f195e51fb385e57f68f13313587b52c2776ad29798b682eaa8503bae4186029b698a2405f08187180a904f

diff --git a/app-crypt/bcwipe/bcwipe-1.9.13.ebuild b/app-crypt/bcwipe/bcwipe-1.9.13.ebuild
new file mode 100644
index 0000000..fb4be6d
--- /dev/null
+++ b/app-crypt/bcwipe/bcwipe-1.9.13.ebuild
@@ -0,0 +1,49 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+
+inherit eutils versionator
+
+MY_PV="$(replace_version_separator 2 -)"
+
+DESCRIPTION="Secure file removal utility"
+HOMEPAGE="http://www.jetico.com/"
+SRC_URI="https://www.jetico.com/linux/BCWipe-${MY_PV}.tar.gz
+	doc? ( http://www.jetico.com/linux/BCWipe.doc.tgz )"
+
+LICENSE="bestcrypt"
+SLOT="0"
+IUSE="doc"
+KEYWORDS="~amd64 ~arm ~ppc ~x86"
+
+DEPEND=""
+RDEPEND=""
+
+S="${WORKDIR}/${PN}-${MY_PV}"
+
+src_prepare() {
+	epatch "${FILESDIR}"/${PN}-1.9.7-fix_warnings.patch \
+			"${FILESDIR}"/${PN}-1.9.8-fix-flags.patch
+}
+
+src_test() {
+	echo "abc123" >> testfile
+	./bcwipe -f testfile || die "bcwipe test failed"
+	[[ -f testfile ]] && die "test file still exists. bcwipe should have deleted it"
+}
+
+src_install() {
+	default
+
+	if use doc ; then
+		dohtml -r ../bcwipe-help
+	fi
+}
+
+pkg_postinst() {
+	ewarn "The BestCrypt drivers are not free - Please purchace a license from "
+	ewarn "http://www.jetico.com/"
+	ewarn "full details /usr/share/doc/${PF}/html/bcwipe-help/wu_licen.htm"
+}


             reply	other threads:[~2015-11-21 21:43 UTC|newest]

Thread overview: 9+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2015-11-21 21:43 Sebastian Pipping [this message]
  -- strict thread matches above, loose matches on Subject: below --
2019-04-22  6:10 [gentoo-commits] repo/gentoo:master commit in: app-crypt/bcwipe/ Alon Bar-Lev
2019-04-21 17:54 Alon Bar-Lev
2019-02-16 20:26 Alon Bar-Lev
2017-03-25 21:46 Alon Bar-Lev
2017-03-15 18:29 Alon Bar-Lev
2017-03-15 14:35 Michael Weber
2017-03-03  9:02 Agostino Sarubbo
2015-10-01 20:48 Markus Meier

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1448141993.e4623ce8fee6ecef6024cd7b4f1bf1fa7e2b022d.sping@gentoo \
    --to=sping@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox